import { FakeAuthRepository } from '@app/testing/domain/authentification/fake-auth.repository';
import { SendRequestPasswordResetUsecase } from '@app/application/authentification/send-request-password-reset.usecase';
import { firstValueFrom } from 'rxjs';

describe('SendRequestPasswordUsecase', () => {
  it('devrait envoyer une demande de maj du mot de passe ', async () => {
    const repo = new FakeAuthRepository();
    const useCase = new SendRequestPasswordResetUsecase(repo);

    const email = 'foo@bar.com';

    const res = await firstValueFrom(useCase.execute(email));
    expect(res).toEqual(true);
  });
});
